Сфера

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Sphere and the translation is 22% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎

Part Sphere.svg Сфера

Системное название
Part_Sphere
Расположение в меню
Деталь → Примитивы → Сфера
Верстаки
Part(Деталь)
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы

Описание

Создаёт простую параметрическую сферу с параметрами положение (position), угол1(angle1), угол2(angle2), угол3(angle3) и радиус(radius).

A Part Sphere can be truncated at the top and/or bottom by changing its ДанныеAngle1 and/or ДанныеAngle2 properties. It can be turned into a segment of a sphere by changing its ДанныеAngle3 property.

Part Sphere Example.png

Применение

  1. Переключитесь на Workbench Part.svg верстак Part
  2. Существует несколько способов вызова команды:
    • Нажмите на иконку сферы Part Sphere.svgСфера на панели инструментов.
    • Выберите из меню Деталь → Примитивы → Part Sphere.svg Сфера.

Example

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives.svg Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Свойства

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Данные

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • ДанныеRadius (Length): The radius of the sphere. The default is 5mm.
  • ДанныеAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to ДанныеAngle2. The default is -90°.
  • ДанныеAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to ДанныеAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • ДанныеAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()